I NEED the 1.7.7 version of XAMPP for OSX

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

I NEED the 1.7.7 version of XAMPP for OSX

Postby mollasadra » 15. January 2014 21:08

Recently I needed to work on Laravel and my existing XAMPP was too old to be useful (Laravel needs at least php 5.3.7). I downloaded the latest version of XAMPP for MAC OSX which is 1.8.2. The trouble, I found out later, is that I also use Zend Studio IDE for debugging. Zend studio's debugger only supports up to php 5.3 and xampp 1.8.2 comes with php 5.4 (more on that here: http://forums.zend.com/viewtopic.php?f=59&t=47568&p=222128)

So I screwed myself out of a debugger. Then I thought I'll just downgrade to a lower version of XAMPP and by looking at this page:
http://code.stephenmorley.org/articles/xampp-version-history-apache-mysql-php/

I figured out that I either need 1.7.5 or 1.7.7. I then looked at sourceforge:
http://sourceforge.net/projects/xampp/files/XAMPP%20Mac%20OS%20X/

And to my surprise, I found out that the versions suddenly jump from 1.7.3 to 1.8.3 (even though under the "XAMPP Windows" folder all the versions are available for download).
So I tried Googling for something like "xampp-macosx-1.7.7.dmg" but no luck.

My request is if someone has this version of XAMPP (or just a link to this vesion), please let me know. I'm kinda desperate
mollasadra
 
Posts: 2
Joined: 15. January 2014 20:56
XAMPP Version: 1.8.3-3
Operating System: OSX

Re: I NEED the 1.7.7 version of XAMPP for OSX

Postby Altrea » 15. January 2014 22:14

Hi,

The reason that this versions doesn't exists at sourceforge is, that XAMPP 1.7.5 and XAMPP 1.7.7 was never released for Mac OS X because of no available Mac OS X XAMPP developer.

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6763
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64

Re: I NEED the 1.7.7 version of XAMPP for OSX

Postby Nobbie » 15. January 2014 22:38

Simply setup a linux host, which is better than OSX in any way.
Nobbie
 
Posts: 6919
Joined: 09. March 2008 13:04

Re: I NEED the 1.7.7 version of XAMPP for OSX

Postby mollasadra » 17. January 2014 20:28

Thanks guys. I've downloaded and going to use both a 5.4 (newest xampp) and 5.3 (xampp 1.7.3) versions of php (switching between the two depending on the need). I know I could setup a Linux VM instead, but the flexibly that xampp provides outweigh that.
mollasadra
 
Posts: 2
Joined: 15. January 2014 20:56
XAMPP Version: 1.8.3-3
Operating System: OSX


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 5 guests